Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BNumber

    java.lang.Object
      Biff
          jet.report.xls.Blank
              jet.report.xls.BNumber

    public class BNumber

extends Blank

Description: Constant floating point number Record Body Length: 15 bytes Record Body Byte Structure: Byte Number Byte Description Contents (hex) 0-1 Row 2-3 Column 4-6 Cell attributes (rgbAttr) (Table 2-3) 7-14 Floating point number value (IEEE format, see Appendix A) A BNumber class extends Blank class.

Field Summary

Fields inherited from class jet.report.xls.Blank
`META`

Constructor Summary
`BNumber(int row, int col, int ixfe, double value)` Constructs a Number record and sets its fields appropriately.

Method Summary
`double` | `getValue()` get Number Value .
`void` | `input(RandomAccessStream stream)` input class Number from input stream
`int` | `opcode()` get the opcode of Number.
`int` | `output(RandomAccessStream stream)` output class Number
`void` | `setValue(double value)` set Number Value .

Methods inherited from class jet.report.xls.Blank
`getCol, getIxfe, getRow, setCol, setIxfe, setRow`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BNumber

    public BNumber(int row,
                   int col,
                   int ixfe,
                   double value)

  Constructs a Number record and sets its fields appropriately.

Method Detail

### opcode

    public final int opcode()

  get the opcode of Number.

  Overrides:
    `opcode` in class `Blank`

### setValue

    public void setValue(double value)

  set Number Value .

### getValue

    public double getValue()

  get Number Value .

### output

    public int output(RandomAccessStream stream)
               throws java.io.IOException

  output class Number

  Overrides:
    `output` in class `Blank`
  Throws:
    `java.io.IOException`

### input

    public void input(RandomAccessStream stream)
               throws java.io.IOException

  input class Number from input stream

  Overrides:
    `input` in class `Blank`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD